Friend Class ClsDictFileName
    Inherits ClsBaseDict(Of String)

    ''' <summary>
    ''' Constructeur de la classe
    ''' </summary>
    ''' <param name="pCtrl">Type de controles  effectuer</param>
    ''' <remarks></remarks>
    Friend Sub New(ByVal pCtrl As EFileCtrl)
        MyBase.New(pCtrl And Not (EFileCtrl.FileName))
    End Sub
    ''' <summary>
    ''' Retourne une cl calcule
    ''' </summary>
    ''' <param name="pFile">Fichier  calculer</param>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Protected Overrides Function CalcKey(ByVal pFile As System.IO.FileInfo) As String
        Return IO.Path.GetFileNameWithoutExtension(pFile.FullName).ToLower
    End Function
End Class
